\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\draw [color=Gris3, xstep=1cm,ystep=1cm] (-5,-1) grid (5,4);
\clip(-5,-1) rectangle (5,4);
\draw [line width=1.5pt,color=A1] (-3,3)-- (-3,1);
\draw [line width=1.5pt,color=A1] (-3,1)-- (-1,1);
\draw [line width=1.5pt,color=A1] (-1,1)-- (-1,3);
\draw [line width=1.5pt,color=A1] (-1,3)-- (-3,3);
\draw [line width=1.5pt,color=B2] (0,1)-- (1,1);
\draw [line width=1.5pt,color=B2] (1,1)-- (1,0);
\draw [line width=1.5pt,color=B2] (1,0)-- (0,-0.01);
\draw [line width=1.5pt,color=B2] (0,-0.01)-- (0,1);
\end{tikzpicture}
\end{document}